package com.company.loaderr.web.foo;

import com.company.loaderr.entity.Bar;
import com.company.loaderr.entity.Foo;
import com.haulmont.cuba.core.global.DataManager;
import com.haulmont.cuba.core.global.Metadata;
import com.haulmont.cuba.gui.components.DataGrid;
import com.haulmont.cuba.gui.components.EntityCombinedScreen;
import com.haulmont.cuba.gui.data.CollectionDatasource;
import com.haulmont.cuba.gui.data.Datasource;

import javax.inject.Inject;
import java.util.UUID;

public class FooBrowse extends EntityCombinedScreen {
    @Inject
    private Metadata metadata;
    @Inject
    private DataManager dataManager;
    @Inject
    private Datasource<Foo> fooDs;
    @Inject
    private CollectionDatasource<Bar, UUID> barsDs;
    @Inject
    private DataGrid<Bar> barsGrid;

    public void createBar() {
        Foo foo = fooDs.getItem();
        if (foo == null) {
            return;
        }

        Bar bar = metadata.create(Bar.class);
        bar.setFoo(foo);
        barsDs.addItem(bar);
        barsGrid.setSelected(bar);
        barsGrid.edit(bar);
    }

    public void reloadAndUpdate() {
        Bar bar = barsGrid.getSingleSelected();
        if (bar == null) {
            return;
        }

        bar = dataManager.reload(bar, "bar-edit");
        barsDs.updateItem(bar);
    }
}